package wtf.beatrice.retrorender.engine.world;

import com.badlogic.gdx.math.Vector3;

public class Collider {

    public enum Type {
        NONE,
        BOX        // axis-aligned box
        // later: SPHERE, CAPSULE, MESH, etc.
    }

    public Type type = Type.NONE;

    // Local-space center + extents relative to ModelInstance transform
    public final Vector3 center      = new Vector3(0f, 0f, 0f);
    public final Vector3 halfExtents = new Vector3(1f, 1f, 1f);

    public static Collider none() {
        return new Collider();
    }

    public static Collider box(float hx, float hy, float hz) {
        Collider c = new Collider();
        c.type = Type.BOX;
        c.halfExtents.set(hx, hy, hz);
        return c;
    }
}
